Ask / Submit
6

no sound in videos with ac-3 codec

asked 2014-01-10 13:14:54 +0200

renegade22 gravatar image

updated 2015-08-12 07:38:25 +0200

vasavr gravatar image

I have some videos with ac-3 sound codec and the sound will not be played.

edit retag flag offensive close delete

4 Answers

Sort by » oldest newest most voted
6

answered 2014-01-10 13:28:11 +0200

tbr gravatar image

From past experiences with media players I know that AC-3 needs to be licensed separately (e.g. together with MPEG2) and is fairly expensive. I suspect it was not licensed by Jolla and thus is not supported on the device as shipped.

That notwithstanding it should be possible to just compile the right additional Gstreamer modules to add this support by the community. This could be then hosted in the community repository, which can be added as an additional repo to the device and then used transparently.

edit flag offensive delete publish link more

Comments

Only one package in the community repo? No-one was aware of this repo or what?

Larswad ( 2015-09-27 01:10:02 +0200 )edit
5

answered 2015-08-12 07:32:54 +0200

vasavr gravatar image

updated 2015-09-09 23:43:42 +0200

You can add support for AC3 (a52) audio by installing the decoding library from OpenRepos:

https://openrepos.net/content/sailfishlib/a52dec

Edit: Doesnt work with Sailfish 1.1.9.28: Error: Cannot play stream of type: <unknown></unknown>

edit flag offensive delete publish link more
4

answered 2015-09-27 01:05:07 +0200

Larswad gravatar image

This evening I managed to build the gstreamer 1.4.5 ugly plugins from source right on the Jolla itself. Was some small trouble before succeeding with some build dependencies and settings like the build prefix correctly to /usr/ instead or /usr/local.

Tested it with LLsVplayer and it works just fine. I have sound again in my movies and tv series.

BUT, I'd like to produce a binary rpm on openrepos, I do have an account there but haven't yet applied for a publisher role, I just might do that.

So, if anyone is interested I'd be glad to upload it to openrepos.

edit flag offensive delete publish link more

Comments

Yes, please do!

Holger ( 2015-09-27 10:06:09 +0200 )edit

I just got the publisher righs.on openrepos. I'll upload tomorrow.

Larswad ( 2015-09-29 00:05:42 +0200 )edit
1

Uploaded to openrepos:

https://openrepos.net/content/larswad/gstreamer-1x-ugly-codecs

Please check that it is ok installing and works.

Larswad ( 2015-09-29 12:07:25 +0200 )edit

Installing fails with dependency issue. Nothing provides a52dec dependency needed.

vasavr ( 2015-11-11 18:12:20 +0200 )edit
1

answered 2015-09-10 04:54:12 +0200

MSameer gravatar image

I don't know which release of SailfishOS you are running but AC3 is unfortunately not supported. If you are on 1.7.x then you can try searching openrepos for gst-ffmpeg (I know neither the name nor the link to it). If you are on 1.9.x then I am not aware of extra decoders available. I might try packaging something and pushing it to openrepos if I get time.

edit flag offensive delete publish link more

Comments

that would be helpful. Is there any specific reason why the decoders from openrepos dont work with 1.1.9? like the one i linked to in the above answer, major bummer

vasavr ( 2015-09-10 11:14:00 +0200 )edit

I don't see how they worked with previous releases. This is the decoding library. You still need the GStreamer decoding plugin.

MSameer ( 2015-09-10 12:23:55 +0200 )edit

Installing that from Warehouse also installed gst-plugins-ugly I think (as a dependency?), anyway I was able to play back AC3 just fine.

I dont know how gstreamer works, I'd just like to be able to play AC3 audio as before, or my life just got a lot harder.

I see we now have gstreamer1 with HLS support (nice!) and everything. Does this mean the issue is just that the libraries/plugins/whatever on openrepos need to be updated to be compatible with the new gstreamer version?

vasavr ( 2015-09-10 16:03:28 +0200 )edit

Yes, the GStreamer 1.x corresponding plugins should be packaged instead of the old ones.

I apologize for making your life harder but we unfortunately cannot support AC3 at this stage. I am not the one who maintains the warehouse plugins so I cannot do much here :/

MSameer ( 2015-09-11 16:18:19 +0200 )edit

Thanks, good to know the reason behind the issue.

vasavr ( 2015-09-11 18:10:22 +0200 )edit
Login/Signup to Answer

Question tools

Follow
6 followers

Stats

Asked: 2014-01-10 13:14:54 +0200

Seen: 633 times

Last updated: Sep 27 '15